Content & StorefrontStore Locations
List public store locations
Lists active physical store locations by cursor, with optional name or city search.
GET
/v1/store-locationsLists active physical store locations by cursor, with optional name or city search.
Query Parameters
limit?integer
Maximum number of results to return.
Format
int32cursor?string
Opaque cursor from the previous response. Omit it on the first page.
search?string
Free-text filter. Which fields it covers depends on the resource.
sortBy?string
Field to sort by. Accepted values depend on the resource.
sortDirection?string
Sort direction: asc or desc.
Value in
- "asc"
- "desc"
Header Parameters
x-Store-Domain*string
Store slug or configured domain that selects the store context at the central Storefront gateway.
Length
1 <= length <= 253Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/store-locations" \ -H "x-Store-Domain: my-store"{ "data": [ { "id": "7204558912004325301", "storeId": "7204558912004325301", "name": "Example resource", "code": "example_code", "type": "warehouse", "isActive": false, "isDefault": false, "useForFulfillment": false, "supportsShipping": false, "supportsLocalDelivery": false, "supportsPickup": false, "isPhysicalStore": false, "supportsPos": false, "priority": 1, "localDeliveryPostalCodes": [ "example" ], "localDeliveryZones": [ { "name": "Example resource", "postalCodes": [ "example" ], "radiusKm": 1, "fee": 1, "freeFromAmount": 1, "minHours": 1, "maxHours": 1 } ], "schedules": [ { "id": "7204558912004325301", "openTime": "09:00:00Z", "closeTime": "09:00:00Z", "name": "Example resource", "dayOfWeek": "monday", "enabled": false, "isOpen": false, "type": "delivery" } ], "createdOn": "2026-08-01T15:30:00Z" } ], "hasNextPage": false, "nextCursor": "example", "totalCount": 1}